Skip to content

Get User's Answer

Retrieve the response submitted by a specific user for a specific quiz.


Overview

This endpoint fetches the response that a particular user has submitted for a specific quiz within a namespace.

Method: GET
Endpoint:
/api/v1/namespaces/:namespaceId/quizzes/:quizId/users/:invitedUserUUID/answers


Request

Headers

http
x-api-key: {your_api_key}  # Optional, provides administrative access
Accept: application/json

Path Parameters

ParameterTypeRequiredDescription
namespaceIdstringNamespace unique ID
quizIdstringQuiz unique ID
invitedUserUUIDstringInvited user unique ID

Query Parameters

ParameterTypeValuesDefaultDescription
recommendations_typestringnone, min, fullnoneControls recommendation output

No request body is required for this operation.


Response

json
{
  "answers": {
    "id": "HKhDZ1gnaD3jPS6sUOrY-anon_zJagrCHJgUsvS739JYdf",
    "userId": "anon_zJagrCHJgUsvS739JYdf",
    "quizId": "HKhDZ1gnaD3jPS6sUOrY",
    "activityDate": {
      "_seconds": 1753477903,
      "_nanoseconds": 682000000
    },
    "qAnswers": {
      "fhn1": "cb2b7af9-6b10-4096-b3db-b637de9f8680",
      "fhn2": "a1e1fbcc-b11e-4b06-bc1e-9b1c0e8aa2ea",
      "fhn3": "a03752af-39e6-40d8-8349-0aed34900052",
      "fhn4": "6c5b3b7a-cb7c-46b3-8537-dcecb8265de2",
      "fhn5": "cc29254d-188b-46e8-b613-634619bee59c",
      "fhn6": "0418b14d-ec78-48d8-a23d-359de286875f",
      "fhn7": "f8b37b3c-e27c-43f8-984f-b628f458f501",
      "fhn8": "7d4692e2-6420-4948-a144-f15f5bc1b6da"
    },
    "isCompleted": true,
    "completionStatus": 3,
    "isAnonymous": true,
    "score": 73,
    "spend_score": 23,
    "save_score": 100,
    "borrow_score": 93,
    "plan_score": 75,
    "indicator_scores": {
      "fhn1": 100,
      "fhn2": 100,
      "fhn3": 75,
      "fhn4": 75,
      "fhn5": 40,
      "fhn6": 60,
      "fhn7": 25,
      "fhn8": 15
    },
    "customData": "custom_id=my_custom_id_81a7debc7e8d78edbc"
  }
}

Error Responses

  • 500 Internal Server Error – If the quiz does not exist
json
{
  "error": "quiz does not exist"
}

Other possible errors:

  • Quiz not found
  • Namespace not found
  • Invited user not found

Recommendations

The recommendations_type query parameter controls whether personalized recommendations are included in the response. Recommendations are only returned when isCompleted: true.

recommendations_type=none (default)

No recommendations are returned.

recommendations_type=min

Returns a lightweight payload with essential recommendation data:

GET /api/v1/namespaces/:namespaceId/quizzes/:quizId/users/:userId/answers?recommendations_type=min
json
{
  "answers": {
    "id": "quiz123-user456",
    "userId": "user456",
    "quizId": "quiz123",
    ...
    "recommendations": [
      {
        "id": "fhn2",
        "priority": 1,
        "show_required": false,
        "steps": [
          "Know what all your bills are—and where to find them!",
          "Look through your bills and cancel what you don't need or use",
          "Look through your bills and see if you can make any cheaper through changing or renegotiating plans",
          "Change payment dates of bills so they process after payday"
        ]
      },
      {
        "id": "fhn1",
        "priority": 2,
        "show_required": false,
        "steps": [
          "Record how much you earn every month",
          "Review how much you spend every month",
          "Brainstorm ways to earn more (or spend less)"
        ]
      },
      ...
    ]
  }
}

recommendations_type=full

Returns complete recommendation cards with all display content:

GET /api/v1/namespaces/:namespaceId/quizzes/:quizId/users/:userId/answers?recommendations_type=full
json
{
  "answers": {
    "id": "quiz123-user456",
    "userId": "user456",
    "quizId": "quiz123",
    ...
    "recommendations": [
      {
        "id": "fhn2",
        "priority": 1,
        "show_required": false,
        "category": "spend",
        "title": "Paying bills on time",
        "subTitle": "Missing bills and payments can be stressing at times, how about we gather them in one place?",
        "stepsTitle": "Check your bills",
        "steps": [
          "Know what all your bills are—and where to find them!",
          "Look through your bills and cancel what you don't need or use",
          "Look through your bills and see if you can make any cheaper through changing or renegotiating plans",
          "Change payment dates of bills so they process after payday"
        ],
        "boost": "Boost your spending score"
      },
      {
        "id": "fhn1",
        "priority": 2,
        "show_required": false,
        "category": "spend",
        "title": "Spending and earning",
        "subTitle": "Spending less than you earn may sound obvious, but it's the first step to better finances!",
        "stepsTitle": "List your spends",
        "steps": [
          "Record how much you earn every month",
          "Review how much you spend every month",
          "Brainstorm ways to earn more (or spend less)"
        ],
        "boost": "Boost your spending score"
      },
      ...
    ]
  }
}

Recommendation Fields

FieldTypeDescription
idstringCard identifier (fhn1-fhn8)
prioritynumberDisplay order (1 = highest priority)
show_requiredbooleantrue if this is a focus/opportunity area, false if it's a strength
categorystringFinancial category: spend, save, borrow, or plan (full only)
titlestringCard title (full only)
subTitlestringCard description (full only)
stepsTitlestringHeader for action steps (full only)
stepsstring[]Recommended action steps
booststringCall-to-action text (full only)

Card Reference

IDCategoryTitle
fhn1spendSpending and earning
fhn2spendPaying bills on time
fhn3saveSaving for a rainy day
fhn4saveSaving for the long term
fhn5borrowManaging debt
fhn6borrowBuilding credit
fhn7planGetting insured
fhn8planPlanning ahead

Important Security Note

For non-authenticated requests, the response will only include questions with IDs "fhn1" through "fhn8". All other question answers will be filtered out. Full answer data is only returned when the request is made with administrative authentication.